#pragma once

#include <cstdint>

namespace tracing {
enum class TraceEvent : uint8_t {
    kUnknown = 0,

    kUartIsr,
    kUartRxCb,
    kUartTxCb,
};

void trace(TraceEvent event);
void trace(int raw_event);
void dump();
}  // namespace tracing
